/*
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/** 
 * @author Euguene Ostrovsky
 * @version $Revision: 1.1.2.1.4.6 $
 */  

/*
 * THE FILE HAS BEEN AUTOGENERATED BY INTEL IJH TOOL.
 * Please be aware that all changes made to this file manually
 * will be overwritten by the tool if it runs again.
 */

#include <jni.h>


/* Header for class java.lang.VMMemoryManager */

#ifndef _JAVA_LANG_VMMEMORYMANAGER_H
#define _JAVA_LANG_VMMEMORYMANAGER_H

#ifdef __cplusplus
extern "C" {
#endif


/* Native methods */

/*
 * Method: java.lang.VMMemoryManager.arrayCopy(Ljava/lang/Object;ILjava/lang/Object;II)V
 */
JNIEXPORT void JNICALL
Java_java_lang_VMMemoryManager_arrayCopy(JNIEnv *, jclass, 
    jobject, jint, jobject, jint, jint);

/*
 * Method: java.lang.VMMemoryManager.clone(Ljava/lang/Object;)Ljava/lang/Object;
 */
JNIEXPORT jobject JNICALL
Java_java_lang_VMMemoryManager_clone(JNIEnv *, jclass, 
    jobject);

/*
 * Method: java.lang.VMMemoryManager.getFreeMemory()J
 */
JNIEXPORT jlong JNICALL
Java_java_lang_VMMemoryManager_getFreeMemory(JNIEnv *, jclass);

/*
 * Method: java.lang.VMMemoryManager.getIdentityHashCode(Ljava/lang/Object;)I
 */
JNIEXPORT jint JNICALL
Java_java_lang_VMMemoryManager_getIdentityHashCode(JNIEnv *, jclass, 
    jobject);

/*
 * Method: java.lang.VMMemoryManager.getMaxMemory()J
 */
JNIEXPORT jlong JNICALL
Java_java_lang_VMMemoryManager_getMaxMemory(JNIEnv *, jclass);

/*
 * Method: java.lang.VMMemoryManager.getTotalMemory()J
 */
JNIEXPORT jlong JNICALL
Java_java_lang_VMMemoryManager_getTotalMemory(JNIEnv *, jclass);

/*
 * Method: java.lang.VMMemoryManager.runGC()V
 */
JNIEXPORT void JNICALL
Java_java_lang_VMMemoryManager_runGC(JNIEnv *, jclass);


#ifdef __cplusplus
}
#endif

#endif /* _JAVA_LANG_VMMEMORYMANAGER_H */

